booster::refcounted Class Reference

This class is used as base class for reference counted objects that use intrusive_ptr. Deriving from this class allows simple way to manage reference counting for single object. More...

`#include <booster/booster/refcounted.h>`

## Friends

void | intrusive_ptr_add_ref (refcounted *)
void | intrusive_ptr_release (refcounted *)

## Detailed Description

This class is used as base class for reference counted objects that use intrusive_ptr. Deriving from this class allows simple way to manage reference counting for single object.

## Friends And Related Function Documentation

void intrusive_ptr_add_ref | ( | refcounted * | p | ) |

friend

Increase reference count

void intrusive_ptr_release | ( | refcounted * | p | ) |

friend

Decrease reference count, if it goes to 0, destroy the object

The documentation for this class was generated from the following file:

- booster/refcounted.h